 IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC_CPL_EST_PARAM_COMPRAS_GRUPO]'))
begin
	alter table EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC_CPL  DROP CONSTRAINT FK_EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC_CPL_EST_PARAM_COMPRAS_GRUPO
end
go
if exists (select 1 from syscolumns 
inner join systypes on syscolumns.xtype = systypes.xtype
where id = object_id('EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC_CPL') and syscolumns.name = 'CD_CTR_PARAM_COMPRAS_GRUPO')
begin
	ALTER TABLE dbo.EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC_CPL DROP CONSTRAINT DF_EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC_CPL_CD_CTR_PARAM_COMPRAS_GRUPO
end
go
 IF EXISTS (SELECT * FROM SYS.COLUMNS  WHERE NAME = 'CD_CTR_PARAM_COMPRAS_GRUPO'  AND OBJECT_ID = OBJECT_ID('EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC_CPL'))
begin
 ALTER TABLE dbo.EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC_CPL drop column CD_CTR_PARAM_COMPRAS_GRUPO
end